<?php
/*
@package wp-solar
@internal  Various helper functions
@since 0.2
@todo nothing
*/

if ( ! defined( 'ABSPATH' ) ) { 
    exit;
}

function wp_solar_get_power_units() {
	$power_units = get_option( 'wp_solar_power_display_units' );
	return $power_units;
}

function wp_solar_get_power_divider() {
	$power_units = get_option( 'wp_solar_power_display_units' );
	switch ($power_units) {
		case ('TWh'):
			$power_divider = 1000000000000;
			break;
		case ('GWh'):
			$power_divider = 1000000000;
			break;
		case ('MWh'):
			$power_divider = 1000000;
			break;
		case ('kWh'):
			$power_divider = 1000;
			break;
		case ('Wh'):
			$power_divider = 1;
			break;
	}
	return $power_divider;
}